> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify email



## OpenAPI

````yaml post /verify/{action}
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /verify/{action}:
    parameters:
      - name: action
        in: path
        required: true
        schema:
          type: string
          example: login
    post:
      tags:
        - Public
      summary: Verify email
      description: Verify email
      operationId: verifyEmail
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                access_code:
                  type: string
                  example: LKSLIX
                email:
                  type: string
                  example: dlouisxca@yokesolutions.com
            example:
              access_code: LKSLIX
              email: dlouisxca@yokesolutions.com
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      token:
                        type: string
                        example: >-
                          eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJlbWFpbCI6InRhcmViaUB5b2tlc29sdXRpb25zLmNvbSIsInVzZXJJZCI6IjVlN2U5NjU1MDk1ZDhiMTA4YTdjNWFjZCIsImlzQWRtaW4iOnRydWUsImlzU3VwZXJBZG1pbiI6dHJ1ZSwiaWF0IjoxNjU1ODAyNDMyLCJleHAiOjI2MDE4ODI0MzJ9.ZuEHNcH1-_QQK9_zXkVKmARwTlHe2yxufsST7rtVqaM
                      user:
                        type: object
                        properties:
                          email:
                            type: string
                            example: tarebi@yokesolutions.com
                          full_name:
                            type: string
                            example: Tarebi Alebiosu
                          id:
                            type: string
                            example: 5e7e9655095d8b108a7c5acd
                          isAdmin:
                            type: boolean
                            example: true
                          isSuperAdmin:
                            type: boolean
                            example: true
                          last_access:
                            type: string
                            example: '2021-02-27T07:15:48.006Z'
                          reg_date:
                            type: string
                            example: '2020-03-28T00:12:05.133Z'
                          reset_pass:
                            type: boolean
                            example: false
                          roles:
                            type: array
                            items:
                              type: object
                              properties:
                                _id:
                                  type: string
                                  example: 5e7e8827872c2c0f8c1c3fb2
                                isAdmin:
                                  type: boolean
                                  example: true
                                isSuperAdmin:
                                  type: boolean
                                  example: true
                                name:
                                  type: string
                                  example: Super Admin User
                            example:
                              - _id: 5e7e8827872c2c0f8c1c3fb2
                                isAdmin: true
                                isSuperAdmin: true
                                name: Super Admin User
                          shop:
                            type: object
                            properties:
                              __v:
                                type: number
                                example: 2
                              _id:
                                type: string
                                example: 5f3ef405c072de214d9d6703
                              billingNotice:
                                type: string
                                example: '2020-08-27T08:00:00.364Z'
                              bio:
                                type: string
                                example: Best uk used phone shop
                              call:
                                type: boolean
                                example: true
                              created:
                                type: string
                                example: '2020-08-20T22:07:01.725Z'
                              currencies:
                                type: array
                                items: {}
                                example: []
                              email:
                                type: string
                                example: arinzeesomnofu@gmail.com
                              inventoryConfig:
                                type: object
                                properties:
                                  displayOptionKeyId:
                                    type: string
                                    example: 6c6f775f696e5f73746f636b
                                  enableProductPageStockCount:
                                    type: boolean
                                    example: false
                                  isLowStockEnabled:
                                    type: boolean
                                    example: false
                                  isOutOfStockEnabled:
                                    type: boolean
                                    example: false
                              locations:
                                type: array
                                items: {}
                                example: []
                              logo:
                                type: string
                                example: >-
                                  5f3ef405c072de214d9d6702-inbound3469806257505107320.jpg
                              modified:
                                type: string
                                example: '2020-08-20T22:07:01.725Z'
                              name:
                                type: string
                                example: I sell phones and laptop
                              owner:
                                type: object
                                properties:
                                  __v:
                                    type: number
                                    example: 0
                                  _id:
                                    type: string
                                    example: 5f3ef3c8c072de214d9d6701
                                  email:
                                    type: string
                                    example: arinzeesomnofu@gmail.com
                                  full_name:
                                    type: string
                                    example: Arinze Esomnofu
                                  last_access:
                                    type: string
                                    example: '2021-08-11T09:14:41.759Z'
                                  pass:
                                    type: string
                                    example: >-
                                      $2b$10$dmOPpIxa7dlfCYCbiMYWiueO2JWfQ9VcqynlIYfTlRu5RWCD9hDre
                                  profiles:
                                    type: array
                                    items: {}
                                    example: []
                                  referred_by:
                                    type: string
                                    example: 5f3c62f4bc19938f1ad2e212
                                  reg_date:
                                    type: string
                                    example: '2020-08-20T22:06:00.935Z'
                                  reset_pass:
                                    type: boolean
                                    example: false
                                  roles:
                                    type: array
                                    items:
                                      type: string
                                      example: 5e7e89bf872c2c0f8c1c3fb4
                                    example:
                                      - 5e7e89bf872c2c0f8c1c3fb4
                                  shopCount:
                                    type: number
                                    example: 1
                                  social:
                                    type: array
                                    items: {}
                                    example: []
                                  telephone:
                                    type: string
                                    example: '+2348031391676'
                                  username:
                                    type: string
                                    example: arinzeesomnofu@gmail.com
                              paymentError:
                                type: array
                                items: {}
                                example: []
                              paymentMethods:
                                type: array
                                items: {}
                                example: []
                              productWeightConfig:
                                type: object
                                properties:
                                  unit:
                                    type: string
                                    example: kg
                              products:
                                type: number
                                example: 1
                              shippingRates:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    _id:
                                      type: string
                                      example: 5ee6a2f6eea46308e8f84863
                                    countryCode:
                                      type: string
                                      example: NG
                                    disableShipping:
                                      type: boolean
                                      example: false
                                    enableShipping:
                                      type: boolean
                                      example: true
                                    name:
                                      type: string
                                      example: Rivers
                                    rate:
                                      type: string
                                      example: '4000'
                                example:
                                  - _id: 5ee6a2f6eea46308e8f84863
                                    countryCode: NG
                                    disableShipping: false
                                    enableShipping: true
                                    name: Rivers
                                    rate: '4000'
                              shopCategory:
                                type: object
                                properties:
                                  _id:
                                    type: string
                                    example: 5f3c62287fe78f559ccf7793
                                  name:
                                    type: string
                                    example: Phones & Tablets
                                  weight:
                                    type: number
                                    example: 140
                              shopPreview:
                                type: string
                                example: '2020-08-28T11:42:09.730Z'
                              slug:
                                type: string
                                example: i-sell-phones-and-laptop
                              status:
                                type: string
                                example: pending
                              telephone:
                                type: string
                                example: '+2348031391676'
                              theme:
                                type: string
                                example: MINIMAL
                              whatsApp:
                                type: boolean
                                example: true
                          telephone:
                            type: string
                            example: '+2347061240799'
                          username:
                            type: string
                            example: tarebi@yokesolutions.com
                  message:
                    type: string
                    example: User authenticated successfully
                  status:
                    type: number
                    example: 200
                  success:
                    type: boolean
                    example: true
              examples:
                '200':
                  value:
                    data:
                      token: >-
                        eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJlbWFpbCI6InRhcmViaUB5b2tlc29sdXRpb25zLmNvbSIsInVzZXJJZCI6IjVlN2U5NjU1MDk1ZDhiMTA4YTdjNWFjZCIsImlzQWRtaW4iOnRydWUsImlzU3VwZXJBZG1pbiI6dHJ1ZSwiaWF0IjoxNjU1ODAyNDMyLCJleHAiOjI2MDE4ODI0MzJ9.ZuEHNcH1-_QQK9_zXkVKmARwTlHe2yxufsST7rtVqaM
                      user:
                        email: tarebi@yokesolutions.com
                        full_name: Tarebi Alebiosu
                        id: 5e7e9655095d8b108a7c5acd
                        isAdmin: true
                        isSuperAdmin: true
                        last_access: '2021-02-27T07:15:48.006Z'
                        reg_date: '2020-03-28T00:12:05.133Z'
                        reset_pass: false
                        roles:
                          - _id: 5e7e8827872c2c0f8c1c3fb2
                            isAdmin: true
                            isSuperAdmin: true
                            name: Super Admin User
                        shop:
                          __v: 2
                          _id: 5f3ef405c072de214d9d6703
                          billingNotice: '2020-08-27T08:00:00.364Z'
                          bio: Best uk used phone shop
                          call: true
                          created: '2020-08-20T22:07:01.725Z'
                          currencies: []
                          email: arinzeesomnofu@gmail.com
                          inventoryConfig:
                            displayOptionKeyId: 6c6f775f696e5f73746f636b
                            enableProductPageStockCount: false
                            isLowStockEnabled: false
                            isOutOfStockEnabled: false
                          locations: []
                          logo: >-
                            5f3ef405c072de214d9d6702-inbound3469806257505107320.jpg
                          modified: '2020-08-20T22:07:01.725Z'
                          name: I sell phones and laptop
                          owner:
                            __v: 0
                            _id: 5f3ef3c8c072de214d9d6701
                            email: arinzeesomnofu@gmail.com
                            full_name: Arinze Esomnofu
                            last_access: '2021-08-11T09:14:41.759Z'
                            pass: >-
                              $2b$10$dmOPpIxa7dlfCYCbiMYWiueO2JWfQ9VcqynlIYfTlRu5RWCD9hDre
                            profiles: []
                            referred_by: 5f3c62f4bc19938f1ad2e212
                            reg_date: '2020-08-20T22:06:00.935Z'
                            reset_pass: false
                            roles:
                              - 5e7e89bf872c2c0f8c1c3fb4
                            shopCount: 1
                            social: []
                            telephone: '+2348031391676'
                            username: arinzeesomnofu@gmail.com
                          paymentError: []
                          paymentMethods: []
                          productWeightConfig:
                            unit: kg
                          products: 1
                          shippingRates:
                            - _id: 5ee6a2f6eea46308e8f84863
                              countryCode: NG
                              disableShipping: false
                              enableShipping: true
                              name: Rivers
                              rate: '4000'
                          shopCategory:
                            _id: 5f3c62287fe78f559ccf7793
                            name: Phones & Tablets
                            weight: 140
                          shopPreview: '2020-08-28T11:42:09.730Z'
                          slug: i-sell-phones-and-laptop
                          status: pending
                          telephone: '+2348031391676'
                          theme: MINIMAL
                          whatsApp: true
                        telephone: '+2347061240799'
                        username: tarebi@yokesolutions.com
                    message: User authenticated successfully
                    status: 200
                    success: true

````